Check-in [06ed27c5bc]
Overview
Comment:Removed binaries and configured files, added and applied .cvsignore
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:06ed27c5bc1f65800449d931f55ea127e0fddfba
User & Date: rkeene on 2004-03-27 00:02:22
Other Links: manifest | tags
Context
2004-07-15
14:16
Updated the freecolor README (and changed version to 0.8.4) to note dependency on libstatgrab when non-Linux. check-in: fc2c85c944 user: rkeene tags: trunk, 0.8.4
2004-03-27
00:02
Removed binaries and configured files, added and applied .cvsignore check-in: 06ed27c5bc user: rkeene tags: trunk
2004-02-27
00:32
This is the importation of many files, again. check-in: 0633841472 user: rkeene tags: trunk
Changes

Added .cvsignore version [f299cdfd48].

            1  +free
            2  +config.log
            3  +config.status
            4  +config.h
            5  +Makefile

Added .fossil-settings/ignore-glob version [88ec126afb].

            1  +Makefile
            2  +Makefile/*
            3  +config.h
            4  +config.h/*
            5  +config.log
            6  +config.log/*
            7  +config.status
            8  +config.status/*
            9  +free
           10  +free/*

Deleted Makefile version [0167e2a4d4].

     1         -CC = gcc
     2         -CFLAGS = -Wall -g -O2 -Icontrib/libstatgrab//include  -DHAVE_CONFIG_H
     3         -CPPFLAGS =  -Icontrib/libstatgrab//include  -DHAVE_CONFIG_H
     4         -LDFLAGS =  -Lcontrib/libstatgrab//lib   -lstatgrab
     5         -INSTALL = /usr/bin/install -c
     6         -
     7         -prefix = /usr/local
     8         -mandir = ${prefix}/man
     9         -sysconfdir = ${prefix}/etc
    10         -datadir = ${prefix}/share
    11         -exec_prefix = ${prefix}
    12         -bindir = ${exec_prefix}/bin
    13         -
    14         -all:
    15         -	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -o free freecolor.c
    16         -
    17         -install-over-free:
    18         -	strip free
    19         -	cp -i free `which free`
    20         -
    21         -install:
    22         -	strip free
    23         -	$(INSTALL) -m 755 free $(bindir)/freecolor
    24         -
    25         -clean:
    26         -	rm -f core free *~
    27         -
    28         -distclean: clean
    29         -	rm -f Makefile config.log config.h config.status
    30         -
    31         -pristine: distclean
    32         -	rm -rf autom4te.cache/ config.h.in configure

Deleted config.h version [077ee9c16a].

     1         -/* config.h.  Generated by configure.  */
     2         -/* config.h.in.  Generated from configure.in by autoheader.  */
     3         -
     4         -/* Define to 1 if you have the <inttypes.h> header file. */
     5         -#define HAVE_INTTYPES_H 1
     6         -
     7         -/* Define to 1 if you have get_memory_stats from -lstatgrab */
     8         -#define HAVE_LIBSTATGRAB 1
     9         -
    10         -/* Define to 1 if you have the <statgrab.h> header file. */
    11         -#define HAVE_LIBSTATGRAB_H 1
    12         -
    13         -/* Define to 1 if you have the <memory.h> header file. */
    14         -#define HAVE_MEMORY_H 1
    15         -
    16         -/* Define to 1 if you have statgrab_drop_privileges from -lstatgrab */
    17         -#define HAVE_STATGRAB_DROP_PRIVILEGES 1
    18         -
    19         -/* Define to 1 if you have the <stdint.h> header file. */
    20         -#define HAVE_STDINT_H 1
    21         -
    22         -/* Define to 1 if you have the <stdlib.h> header file. */
    23         -#define HAVE_STDLIB_H 1
    24         -
    25         -/* Define to 1 if you have the <strings.h> header file. */
    26         -#define HAVE_STRINGS_H 1
    27         -
    28         -/* Define to 1 if you have the <string.h> header file. */
    29         -#define HAVE_STRING_H 1
    30         -
    31         -/* Define to 1 if you have the <sys/stat.h> header file. */
    32         -#define HAVE_SYS_STAT_H 1
    33         -
    34         -/* Define to 1 if you have the <sys/types.h> header file. */
    35         -#define HAVE_SYS_TYPES_H 1
    36         -
    37         -/* Define to 1 if you have the <unistd.h> header file. */
    38         -#define HAVE_UNISTD_H 1
    39         -
    40         -/* Define to the address where bug reports for this package should be sent. */
    41         -#define PACKAGE_BUGREPORT ""
    42         -
    43         -/* Define to the full name of this package. */
    44         -#define PACKAGE_NAME ""
    45         -
    46         -/* Define to the full name and version of this package. */
    47         -#define PACKAGE_STRING ""
    48         -
    49         -/* Define to the one symbol short name of this package. */
    50         -#define PACKAGE_TARNAME ""
    51         -
    52         -/* Define to the version of this package. */
    53         -#define PACKAGE_VERSION ""
    54         -
    55         -/* Define to 1 if you have the ANSI C header files. */
    56         -#define STDC_HEADERS 1

Deleted config.log version [b5b271a510].

     1         -This file contains any messages produced by compilers while
     2         -running configure, to aid debugging if configure makes a mistake.
     3         -
     4         -It was created by configure, which was
     5         -generated by GNU Autoconf 2.59.  Invocation command line was
     6         -
     7         -  $ ./configure --with-libstatgrab=contrib/libstatgrab/
     8         -
     9         -## --------- ##
    10         -## Platform. ##
    11         -## --------- ##
    12         -
    13         -hostname = hammer.oc9.org
    14         -uname -m = parisc
    15         -uname -r = 2.4.24-pa0
    16         -uname -s = Linux
    17         -uname -v = #2 Tue Jan 13 16:45:49 CST 2004
    18         -
    19         -/usr/bin/uname -p = unknown
    20         -/bin/uname -X     = unknown
    21         -
    22         -/bin/arch              = parisc
    23         -/usr/bin/arch -k       = unknown
    24         -/usr/convex/getsysinfo = unknown
    25         -hostinfo               = unknown
    26         -/bin/machine           = unknown
    27         -/usr/bin/oslevel       = unknown
    28         -/bin/universe          = unknown
    29         -
    30         -PATH: /usr/local/bin
    31         -PATH: /usr/bin
    32         -PATH: /bin
    33         -PATH: /usr/bin/X11
    34         -PATH: /usr/games
    35         -PATH: /home/rkeene/bin
    36         -
    37         -
    38         -## ----------- ##
    39         -## Core tests. ##
    40         -## ----------- ##
    41         -
    42         -configure:1341: checking for gcc
    43         -configure:1357: found /usr/bin/gcc
    44         -configure:1367: result: gcc
    45         -configure:1611: checking for C compiler version
    46         -configure:1614: gcc --version </dev/null >&5
    47         -gcc (GCC) 3.3.3 20040125 (prerelease) (Debian)
    48         -Copyright (C) 2003 Free Software Foundation, Inc.
    49         -This is free software; see the source for copying conditions.  There is NO
    50         -warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    51         -
    52         -configure:1617: $? = 0
    53         -configure:1619: gcc -v </dev/null >&5
    54         -Reading specs from /usr/lib/gcc-lib/hppa-linux/3.3.3/specs
    55         -Configured with: ../src/configure -v --enable-languages=c,c++,f77,pascal,objc,ada,treelang --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gxx-include-dir=/usr/include/c++/3.3 --enable-shared --with-system-zlib --enable-nls --without-included-gettext --enable-__cxa_atexit --enable-sjlj-exceptions --enable-clocale=gnu --enable-debug --enable-objc-gc hppa-linux
    56         -Thread model: posix
    57         -gcc version 3.3.3 20040125 (prerelease) (Debian)
    58         -configure:1622: $? = 0
    59         -configure:1624: gcc -V </dev/null >&5
    60         -gcc: `-V' option must have argument
    61         -configure:1627: $? = 1
    62         -configure:1650: checking for C compiler default output file name
    63         -configure:1653: gcc    conftest.c  >&5
    64         -configure:1656: $? = 0
    65         -configure:1702: result: a.out
    66         -configure:1707: checking whether the C compiler works
    67         -configure:1713: ./a.out
    68         -configure:1716: $? = 0
    69         -configure:1733: result: yes
    70         -configure:1740: checking whether we are cross compiling
    71         -configure:1742: result: no
    72         -configure:1745: checking for suffix of executables
    73         -configure:1747: gcc -o conftest    conftest.c  >&5
    74         -configure:1750: $? = 0
    75         -configure:1775: result: 
    76         -configure:1781: checking for suffix of object files
    77         -configure:1802: gcc -c   conftest.c >&5
    78         -configure:1805: $? = 0
    79         -configure:1827: result: o
    80         -configure:1831: checking whether we are using the GNU C compiler
    81         -configure:1855: gcc -c   conftest.c >&5
    82         -configure:1861: $? = 0
    83         -configure:1864: test -z 			 || test ! -s conftest.err
    84         -configure:1867: $? = 0
    85         -configure:1870: test -s conftest.o
    86         -configure:1873: $? = 0
    87         -configure:1886: result: yes
    88         -configure:1892: checking whether gcc accepts -g
    89         -configure:1913: gcc -c -g  conftest.c >&5
    90         -configure:1919: $? = 0
    91         -configure:1922: test -z 			 || test ! -s conftest.err
    92         -configure:1925: $? = 0
    93         -configure:1928: test -s conftest.o
    94         -configure:1931: $? = 0
    95         -configure:1942: result: yes
    96         -configure:1959: checking for gcc option to accept ANSI C
    97         -configure:2029: gcc  -c -g -O2  conftest.c >&5
    98         -configure:2035: $? = 0
    99         -configure:2038: test -z 			 || test ! -s conftest.err
   100         -configure:2041: $? = 0
   101         -configure:2044: test -s conftest.o
   102         -configure:2047: $? = 0
   103         -configure:2065: result: none needed
   104         -configure:2083: gcc -c -g -O2  conftest.c >&5
   105         -conftest.c:2: error: parse error before "me"
   106         -configure:2089: $? = 1
   107         -configure: failed program was:
   108         -| #ifndef __cplusplus
   109         -|   choke me
   110         -| #endif
   111         -configure:2219: checking whether make sets $(MAKE)
   112         -configure:2239: result: yes
   113         -configure:2286: checking for a BSD-compatible install
   114         -configure:2341: result: /usr/bin/install -c
   115         -configure:2359: checking how to run the C preprocessor
   116         -configure:2394: gcc -E  conftest.c
   117         -configure:2400: $? = 0
   118         -configure:2432: gcc -E  conftest.c
   119         -conftest.c:9:28: ac_nonexistent.h: No such file or directory
   120         -configure:2438: $? = 1
   121         -configure: failed program was:
   122         -| /* confdefs.h.  */
   123         -| 
   124         -| #define PACKAGE_NAME ""
   125         -| #define PACKAGE_TARNAME ""
   126         -| #define PACKAGE_VERSION ""
   127         -| #define PACKAGE_STRING ""
   128         -| #define PACKAGE_BUGREPORT ""
   129         -| /* end confdefs.h.  */
   130         -| #include <ac_nonexistent.h>
   131         -configure:2477: result: gcc -E
   132         -configure:2501: gcc -E  conftest.c
   133         -configure:2507: $? = 0
   134         -configure:2539: gcc -E  conftest.c
   135         -conftest.c:9:28: ac_nonexistent.h: No such file or directory
   136         -configure:2545: $? = 1
   137         -configure: failed program was:
   138         -| /* confdefs.h.  */
   139         -| 
   140         -| #define PACKAGE_NAME ""
   141         -| #define PACKAGE_TARNAME ""
   142         -| #define PACKAGE_VERSION ""
   143         -| #define PACKAGE_STRING ""
   144         -| #define PACKAGE_BUGREPORT ""
   145         -| /* end confdefs.h.  */
   146         -| #include <ac_nonexistent.h>
   147         -configure:2589: checking for egrep
   148         -configure:2599: result: grep -E
   149         -configure:2604: checking for ANSI C header files
   150         -configure:2629: gcc -c -g -O2  conftest.c >&5
   151         -configure:2635: $? = 0
   152         -configure:2638: test -z 			 || test ! -s conftest.err
   153         -configure:2641: $? = 0
   154         -configure:2644: test -s conftest.o
   155         -configure:2647: $? = 0
   156         -configure:2733: gcc -o conftest -g -O2   conftest.c  >&5
   157         -configure:2736: $? = 0
   158         -configure:2738: ./conftest
   159         -configure:2741: $? = 0
   160         -configure:2756: result: yes
   161         -configure:2780: checking for sys/types.h
   162         -configure:2796: gcc -c -g -O2  conftest.c >&5
   163         -configure:2802: $? = 0
   164         -configure:2805: test -z 			 || test ! -s conftest.err
   165         -configure:2808: $? = 0
   166         -configure:2811: test -s conftest.o
   167         -configure:2814: $? = 0
   168         -configure:2825: result: yes
   169         -configure:2780: checking for sys/stat.h
   170         -configure:2796: gcc -c -g -O2  conftest.c >&5
   171         -configure:2802: $? = 0
   172         -configure:2805: test -z 			 || test ! -s conftest.err
   173         -configure:2808: $? = 0
   174         -configure:2811: test -s conftest.o
   175         -configure:2814: $? = 0
   176         -configure:2825: result: yes
   177         -configure:2780: checking for stdlib.h
   178         -configure:2796: gcc -c -g -O2  conftest.c >&5
   179         -configure:2802: $? = 0
   180         -configure:2805: test -z 			 || test ! -s conftest.err
   181         -configure:2808: $? = 0
   182         -configure:2811: test -s conftest.o
   183         -configure:2814: $? = 0
   184         -configure:2825: result: yes
   185         -configure:2780: checking for string.h
   186         -configure:2796: gcc -c -g -O2  conftest.c >&5
   187         -configure:2802: $? = 0
   188         -configure:2805: test -z 			 || test ! -s conftest.err
   189         -configure:2808: $? = 0
   190         -configure:2811: test -s conftest.o
   191         -configure:2814: $? = 0
   192         -configure:2825: result: yes
   193         -configure:2780: checking for memory.h
   194         -configure:2796: gcc -c -g -O2  conftest.c >&5
   195         -configure:2802: $? = 0
   196         -configure:2805: test -z 			 || test ! -s conftest.err
   197         -configure:2808: $? = 0
   198         -configure:2811: test -s conftest.o
   199         -configure:2814: $? = 0
   200         -configure:2825: result: yes
   201         -configure:2780: checking for strings.h
   202         -configure:2796: gcc -c -g -O2  conftest.c >&5
   203         -configure:2802: $? = 0
   204         -configure:2805: test -z 			 || test ! -s conftest.err
   205         -configure:2808: $? = 0
   206         -configure:2811: test -s conftest.o
   207         -configure:2814: $? = 0
   208         -configure:2825: result: yes
   209         -configure:2780: checking for inttypes.h
   210         -configure:2796: gcc -c -g -O2  conftest.c >&5
   211         -configure:2802: $? = 0
   212         -configure:2805: test -z 			 || test ! -s conftest.err
   213         -configure:2808: $? = 0
   214         -configure:2811: test -s conftest.o
   215         -configure:2814: $? = 0
   216         -configure:2825: result: yes
   217         -configure:2780: checking for stdint.h
   218         -configure:2796: gcc -c -g -O2  conftest.c >&5
   219         -configure:2802: $? = 0
   220         -configure:2805: test -z 			 || test ! -s conftest.err
   221         -configure:2808: $? = 0
   222         -configure:2811: test -s conftest.o
   223         -configure:2814: $? = 0
   224         -configure:2825: result: yes
   225         -configure:2780: checking for unistd.h
   226         -configure:2796: gcc -c -g -O2  conftest.c >&5
   227         -configure:2802: $? = 0
   228         -configure:2805: test -z 			 || test ! -s conftest.err
   229         -configure:2808: $? = 0
   230         -configure:2811: test -s conftest.o
   231         -configure:2814: $? = 0
   232         -configure:2825: result: yes
   233         -configure:3091: checking for get_memory_stats in -lstatgrab
   234         -configure:3121: gcc -o conftest -g -O2   conftest.c -lstatgrab -Lcontrib/libstatgrab//lib   >&5
   235         -configure:3127: $? = 0
   236         -configure:3130: test -z 			 || test ! -s conftest.err
   237         -configure:3133: $? = 0
   238         -configure:3136: test -s conftest
   239         -configure:3139: $? = 0
   240         -configure:3152: result: yes
   241         -configure:3170: checking statgrab.h usability
   242         -configure:3182: gcc -c -g -O2 -Icontrib/libstatgrab//include   -Icontrib/libstatgrab//include  conftest.c >&5
   243         -configure:3188: $? = 0
   244         -configure:3191: test -z 			 || test ! -s conftest.err
   245         -configure:3194: $? = 0
   246         -configure:3197: test -s conftest.o
   247         -configure:3200: $? = 0
   248         -configure:3210: result: yes
   249         -configure:3214: checking statgrab.h presence
   250         -configure:3224: gcc -E  -Icontrib/libstatgrab//include  conftest.c
   251         -configure:3230: $? = 0
   252         -configure:3250: result: yes
   253         -configure:3285: checking for statgrab.h
   254         -configure:3292: result: yes
   255         -configure:3310: checking for statgrab_drop_privileges in -lstatgrab
   256         -configure:3340: gcc -o conftest -g -O2 -Icontrib/libstatgrab//include   -Icontrib/libstatgrab//include   -Lcontrib/libstatgrab//lib  conftest.c -lstatgrab   -lstatgrab >&5
   257         -configure:3346: $? = 0
   258         -configure:3349: test -z 			 || test ! -s conftest.err
   259         -configure:3352: $? = 0
   260         -configure:3355: test -s conftest
   261         -configure:3358: $? = 0
   262         -configure:3371: result: yes
   263         -configure:3504: creating ./config.status
   264         -
   265         -## ---------------------- ##
   266         -## Running config.status. ##
   267         -## ---------------------- ##
   268         -
   269         -This file was extended by config.status, which was
   270         -generated by GNU Autoconf 2.59.  Invocation command line was
   271         -
   272         -  CONFIG_FILES    = 
   273         -  CONFIG_HEADERS  = 
   274         -  CONFIG_LINKS    = 
   275         -  CONFIG_COMMANDS = 
   276         -  $ ./config.status 
   277         -
   278         -on hammer.oc9.org
   279         -
   280         -config.status:689: creating Makefile
   281         -config.status:755: creating config.h
   282         -
   283         -## ---------------- ##
   284         -## Cache variables. ##
   285         -## ---------------- ##
   286         -
   287         -ac_cv_c_compiler_gnu=yes
   288         -ac_cv_env_CC_set=
   289         -ac_cv_env_CC_value=
   290         -ac_cv_env_CFLAGS_set=
   291         -ac_cv_env_CFLAGS_value=
   292         -ac_cv_env_CPPFLAGS_set=
   293         -ac_cv_env_CPPFLAGS_value=
   294         -ac_cv_env_CPP_set=
   295         -ac_cv_env_CPP_value=
   296         -ac_cv_env_LDFLAGS_set=
   297         -ac_cv_env_LDFLAGS_value=
   298         -ac_cv_env_build_alias_set=
   299         -ac_cv_env_build_alias_value=
   300         -ac_cv_env_host_alias_set=
   301         -ac_cv_env_host_alias_value=
   302         -ac_cv_env_target_alias_set=
   303         -ac_cv_env_target_alias_value=
   304         -ac_cv_exeext=
   305         -ac_cv_header_inttypes_h=yes
   306         -ac_cv_header_memory_h=yes
   307         -ac_cv_header_statgrab_h=yes
   308         -ac_cv_header_stdc=yes
   309         -ac_cv_header_stdint_h=yes
   310         -ac_cv_header_stdlib_h=yes
   311         -ac_cv_header_string_h=yes
   312         -ac_cv_header_strings_h=yes
   313         -ac_cv_header_sys_stat_h=yes
   314         -ac_cv_header_sys_types_h=yes
   315         -ac_cv_header_unistd_h=yes
   316         -ac_cv_lib_statgrab_get_memory_stats=yes
   317         -ac_cv_lib_statgrab_statgrab_drop_privileges=yes
   318         -ac_cv_objext=o
   319         -ac_cv_path_install='/usr/bin/install -c'
   320         -ac_cv_prog_CPP='gcc -E'
   321         -ac_cv_prog_ac_ct_CC=gcc
   322         -ac_cv_prog_cc_g=yes
   323         -ac_cv_prog_cc_stdc=
   324         -ac_cv_prog_egrep='grep -E'
   325         -ac_cv_prog_make_make_set=yes
   326         -
   327         -## ----------------- ##
   328         -## Output variables. ##
   329         -## ----------------- ##
   330         -
   331         -CC='gcc'
   332         -CFLAGS='-g -O2 -Icontrib/libstatgrab//include '
   333         -CPP='gcc -E'
   334         -CPPFLAGS=' -Icontrib/libstatgrab//include '
   335         -DEFS='-DHAVE_CONFIG_H'
   336         -ECHO_C=''
   337         -ECHO_N='-n'
   338         -ECHO_T=''
   339         -EGREP='grep -E'
   340         -EXEEXT=''
   341         -INSTALL_DATA='${INSTALL} -m 644'
   342         -INSTALL_PROGRAM='${INSTALL}'
   343         -INSTALL_SCRIPT='${INSTALL}'
   344         -LDFLAGS=' -Lcontrib/libstatgrab//lib '
   345         -LIBOBJS=''
   346         -LIBS=' -lstatgrab'
   347         -LTLIBOBJS=''
   348         -OBJEXT='o'
   349         -PACKAGE_BUGREPORT=''
   350         -PACKAGE_NAME=''
   351         -PACKAGE_STRING=''
   352         -PACKAGE_TARNAME=''
   353         -PACKAGE_VERSION=''
   354         -PATH_SEPARATOR=':'
   355         -SET_MAKE=''
   356         -SHELL='/bin/sh'
   357         -ac_ct_CC='gcc'
   358         -bindir='${exec_prefix}/bin'
   359         -build_alias=''
   360         -datadir='${prefix}/share'
   361         -exec_prefix='${prefix}'
   362         -host_alias=''
   363         -includedir='${prefix}/include'
   364         -infodir='${prefix}/info'
   365         -libdir='${exec_prefix}/lib'
   366         -libexecdir='${exec_prefix}/libexec'
   367         -localstatedir='${prefix}/var'
   368         -mandir='${prefix}/man'
   369         -oldincludedir='/usr/include'
   370         -prefix='/usr/local'
   371         -program_transform_name='s,x,x,'
   372         -sbindir='${exec_prefix}/sbin'
   373         -sharedstatedir='${prefix}/com'
   374         -sysconfdir='${prefix}/etc'
   375         -target_alias=''
   376         -
   377         -## ----------- ##
   378         -## confdefs.h. ##
   379         -## ----------- ##
   380         -
   381         -#define HAVE_INTTYPES_H 1
   382         -#define HAVE_LIBSTATGRAB 1
   383         -#define HAVE_LIBSTATGRAB_H 1
   384         -#define HAVE_MEMORY_H 1
   385         -#define HAVE_STATGRAB_DROP_PRIVILEGES 1
   386         -#define HAVE_STDINT_H 1
   387         -#define HAVE_STDLIB_H 1
   388         -#define HAVE_STRINGS_H 1
   389         -#define HAVE_STRING_H 1
   390         -#define HAVE_SYS_STAT_H 1
   391         -#define HAVE_SYS_TYPES_H 1
   392         -#define HAVE_UNISTD_H 1
   393         -#define PACKAGE_BUGREPORT ""
   394         -#define PACKAGE_NAME ""
   395         -#define PACKAGE_STRING ""
   396         -#define PACKAGE_TARNAME ""
   397         -#define PACKAGE_VERSION ""
   398         -#define STDC_HEADERS 1
   399         -
   400         -configure: exit 0

Deleted config.status version [86eb91b543].

     1         -#! /bin/sh
     2         -# Generated by configure.
     3         -# Run this file to recreate the current configuration.
     4         -# Compiler output produced by configure, useful for debugging
     5         -# configure, is in config.log if it exists.
     6         -
     7         -debug=false
     8         -ac_cs_recheck=false
     9         -ac_cs_silent=false
    10         -SHELL=${CONFIG_SHELL-/bin/sh}
    11         -## --------------------- ##
    12         -## M4sh Initialization.  ##
    13         -## --------------------- ##
    14         -
    15         -# Be Bourne compatible
    16         -if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
    17         -  emulate sh
    18         -  NULLCMD=:
    19         -  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
    20         -  # is contrary to our usage.  Disable this feature.
    21         -  alias -g '${1+"$@"}'='"$@"'
    22         -elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
    23         -  set -o posix
    24         -fi
    25         -DUALCASE=1; export DUALCASE # for MKS sh
    26         -
    27         -# Support unset when possible.
    28         -if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
    29         -  as_unset=unset
    30         -else
    31         -  as_unset=false
    32         -fi
    33         -
    34         -
    35         -# Work around bugs in pre-3.0 UWIN ksh.
    36         -$as_unset ENV MAIL MAILPATH
    37         -PS1='$ '
    38         -PS2='> '
    39         -PS4='+ '
    40         -
    41         -# NLS nuisances.
    42         -for as_var in \
    43         -  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
    44         -  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
    45         -  LC_TELEPHONE LC_TIME
    46         -do
    47         -  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
    48         -    eval $as_var=C; export $as_var
    49         -  else
    50         -    $as_unset $as_var
    51         -  fi
    52         -done
    53         -
    54         -# Required to use basename.
    55         -if expr a : '\(a\)' >/dev/null 2>&1; then
    56         -  as_expr=expr
    57         -else
    58         -  as_expr=false
    59         -fi
    60         -
    61         -if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
    62         -  as_basename=basename
    63         -else
    64         -  as_basename=false
    65         -fi
    66         -
    67         -
    68         -# Name of the executable.
    69         -as_me=`$as_basename "$0" ||
    70         -$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
    71         -	 X"$0" : 'X\(//\)$' \| \
    72         -	 X"$0" : 'X\(/\)$' \| \
    73         -	 .     : '\(.\)' 2>/dev/null ||
    74         -echo X/"$0" |
    75         -    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
    76         -  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
    77         -  	  /^X\/\(\/\).*/{ s//\1/; q; }
    78         -  	  s/.*/./; q'`
    79         -
    80         -
    81         -# PATH needs CR, and LINENO needs CR and PATH.
    82         -# Avoid depending upon Character Ranges.
    83         -as_cr_letters='abcdefghijklmnopqrstuvwxyz'
    84         -as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
    85         -as_cr_Letters=$as_cr_letters$as_cr_LETTERS
    86         -as_cr_digits='0123456789'
    87         -as_cr_alnum=$as_cr_Letters$as_cr_digits
    88         -
    89         -# The user is always right.
    90         -if test "${PATH_SEPARATOR+set}" != set; then
    91         -  echo "#! /bin/sh" >conf$$.sh
    92         -  echo  "exit 0"   >>conf$$.sh
    93         -  chmod +x conf$$.sh
    94         -  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
    95         -    PATH_SEPARATOR=';'
    96         -  else
    97         -    PATH_SEPARATOR=:
    98         -  fi
    99         -  rm -f conf$$.sh
   100         -fi
   101         -
   102         -
   103         -  as_lineno_1=$LINENO
   104         -  as_lineno_2=$LINENO
   105         -  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
   106         -  test "x$as_lineno_1" != "x$as_lineno_2" &&
   107         -  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
   108         -  # Find who we are.  Look in the path if we contain no path at all
   109         -  # relative or not.
   110         -  case $0 in
   111         -    *[\\/]* ) as_myself=$0 ;;
   112         -    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
   113         -for as_dir in $PATH
   114         -do
   115         -  IFS=$as_save_IFS
   116         -  test -z "$as_dir" && as_dir=.
   117         -  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
   118         -done
   119         -
   120         -       ;;
   121         -  esac
   122         -  # We did not find ourselves, most probably we were run as `sh COMMAND'
   123         -  # in which case we are not to be found in the path.
   124         -  if test "x$as_myself" = x; then
   125         -    as_myself=$0
   126         -  fi
   127         -  if test ! -f "$as_myself"; then
   128         -    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
   129         -echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
   130         -   { (exit 1); exit 1; }; }
   131         -  fi
   132         -  case $CONFIG_SHELL in
   133         -  '')
   134         -    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
   135         -for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
   136         -do
   137         -  IFS=$as_save_IFS
   138         -  test -z "$as_dir" && as_dir=.
   139         -  for as_base in sh bash ksh sh5; do
   140         -	 case $as_dir in
   141         -	 /*)
   142         -	   if ("$as_dir/$as_base" -c '
   143         -  as_lineno_1=$LINENO
   144         -  as_lineno_2=$LINENO
   145         -  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
   146         -  test "x$as_lineno_1" != "x$as_lineno_2" &&
   147         -  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
   148         -	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
   149         -	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
   150         -	     CONFIG_SHELL=$as_dir/$as_base
   151         -	     export CONFIG_SHELL
   152         -	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
   153         -	   fi;;
   154         -	 esac
   155         -       done
   156         -done
   157         -;;
   158         -  esac
   159         -
   160         -  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
   161         -  # uniformly replaced by the line number.  The first 'sed' inserts a
   162         -  # line-number line before each line; the second 'sed' does the real
   163         -  # work.  The second script uses 'N' to pair each line-number line
   164         -  # with the numbered line, and appends trailing '-' during
   165         -  # substitution so that $LINENO is not a special case at line end.
   166         -  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
   167         -  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
   168         -  sed '=' <$as_myself |
   169         -    sed '
   170         -      N
   171         -      s,$,-,
   172         -      : loop
   173         -      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
   174         -      t loop
   175         -      s,-$,,
   176         -      s,^['$as_cr_digits']*\n,,
   177         -    ' >$as_me.lineno &&
   178         -  chmod +x $as_me.lineno ||
   179         -    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
   180         -echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
   181         -   { (exit 1); exit 1; }; }
   182         -
   183         -  # Don't try to exec as it changes $[0], causing all sort of problems
   184         -  # (the dirname of $[0] is not the place where we might find the
   185         -  # original and so on.  Autoconf is especially sensible to this).
   186         -  . ./$as_me.lineno
   187         -  # Exit status is that of the last command.
   188         -  exit
   189         -}
   190         -
   191         -
   192         -case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
   193         -  *c*,-n*) ECHO_N= ECHO_C='
   194         -' ECHO_T='	' ;;
   195         -  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
   196         -  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
   197         -esac
   198         -
   199         -if expr a : '\(a\)' >/dev/null 2>&1; then
   200         -  as_expr=expr
   201         -else
   202         -  as_expr=false
   203         -fi
   204         -
   205         -rm -f conf$$ conf$$.exe conf$$.file
   206         -echo >conf$$.file
   207         -if ln -s conf$$.file conf$$ 2>/dev/null; then
   208         -  # We could just check for DJGPP; but this test a) works b) is more generic
   209         -  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
   210         -  if test -f conf$$.exe; then
   211         -    # Don't use ln at all; we don't have any links
   212         -    as_ln_s='cp -p'
   213         -  else
   214         -    as_ln_s='ln -s'
   215         -  fi
   216         -elif ln conf$$.file conf$$ 2>/dev/null; then
   217         -  as_ln_s=ln
   218         -else
   219         -  as_ln_s='cp -p'
   220         -fi
   221         -rm -f conf$$ conf$$.exe conf$$.file
   222         -
   223         -if mkdir -p . 2>/dev/null; then
   224         -  as_mkdir_p=:
   225         -else
   226         -  test -d ./-p && rmdir ./-p
   227         -  as_mkdir_p=false
   228         -fi
   229         -
   230         -as_executable_p="test -f"
   231         -
   232         -# Sed expression to map a string onto a valid CPP name.
   233         -as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
   234         -
   235         -# Sed expression to map a string onto a valid variable name.
   236         -as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
   237         -
   238         -
   239         -# IFS
   240         -# We need space, tab and new line, in precisely that order.
   241         -as_nl='
   242         -'
   243         -IFS=" 	$as_nl"
   244         -
   245         -# CDPATH.
   246         -$as_unset CDPATH
   247         -
   248         -exec 6>&1
   249         -
   250         -# Open the log real soon, to keep \$[0] and so on meaningful, and to
   251         -# report actual input values of CONFIG_FILES etc. instead of their
   252         -# values after options handling.  Logging --version etc. is OK.
   253         -exec 5>>config.log
   254         -{
   255         -  echo
   256         -  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
   257         -## Running $as_me. ##
   258         -_ASBOX
   259         -} >&5
   260         -cat >&5 <<_CSEOF
   261         -
   262         -This file was extended by $as_me, which was
   263         -generated by GNU Autoconf 2.59.  Invocation command line was
   264         -
   265         -  CONFIG_FILES    = $CONFIG_FILES
   266         -  CONFIG_HEADERS  = $CONFIG_HEADERS
   267         -  CONFIG_LINKS    = $CONFIG_LINKS
   268         -  CONFIG_COMMANDS = $CONFIG_COMMANDS
   269         -  $ $0 $@
   270         -
   271         -_CSEOF
   272         -echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
   273         -echo >&5
   274         -config_files=" Makefile"
   275         -config_headers=" config.h"
   276         -
   277         -ac_cs_usage="\
   278         -\`$as_me' instantiates files from templates according to the
   279         -current configuration.
   280         -
   281         -Usage: $0 [OPTIONS] [FILE]...
   282         -
   283         -  -h, --help       print this help, then exit
   284         -  -V, --version    print version number, then exit
   285         -  -q, --quiet      do not print progress messages
   286         -  -d, --debug      don't remove temporary files
   287         -      --recheck    update $as_me by reconfiguring in the same conditions
   288         -  --file=FILE[:TEMPLATE]
   289         -		   instantiate the configuration file FILE
   290         -  --header=FILE[:TEMPLATE]
   291         -		   instantiate the configuration header FILE
   292         -
   293         -Configuration files:
   294         -$config_files
   295         -
   296         -Configuration headers:
   297         -$config_headers
   298         -
   299         -Report bugs to <bug-autoconf@gnu.org>."
   300         -ac_cs_version="\
   301         -config.status
   302         -configured by ./configure, generated by GNU Autoconf 2.59,
   303         -  with options \"'--with-libstatgrab=contrib/libstatgrab/'\"
   304         -
   305         -Copyright (C) 2003 Free Software Foundation, Inc.
   306         -This config.status script is free software; the Free Software Foundation
   307         -gives unlimited permission to copy, distribute and modify it."
   308         -srcdir=.
   309         -INSTALL="/usr/bin/install -c"
   310         -# If no file are specified by the user, then we need to provide default
   311         -# value.  By we need to know if files were specified by the user.
   312         -ac_need_defaults=:
   313         -while test $# != 0
   314         -do
   315         -  case $1 in
   316         -  --*=*)
   317         -    ac_option=`expr "x$1" : 'x\([^=]*\)='`
   318         -    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
   319         -    ac_shift=:
   320         -    ;;
   321         -  -*)
   322         -    ac_option=$1
   323         -    ac_optarg=$2
   324         -    ac_shift=shift
   325         -    ;;
   326         -  *) # This is not an option, so the user has probably given explicit
   327         -     # arguments.
   328         -     ac_option=$1
   329         -     ac_need_defaults=false;;
   330         -  esac
   331         -
   332         -  case $ac_option in
   333         -  # Handling of the options.
   334         -  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
   335         -    ac_cs_recheck=: ;;
   336         -  --version | --vers* | -V )
   337         -    echo "$ac_cs_version"; exit 0 ;;
   338         -  --he | --h)
   339         -    # Conflict between --help and --header
   340         -    { { echo "$as_me:$LINENO: error: ambiguous option: $1
   341         -Try \`$0 --help' for more information." >&5
   342         -echo "$as_me: error: ambiguous option: $1
   343         -Try \`$0 --help' for more information." >&2;}
   344         -   { (exit 1); exit 1; }; };;
   345         -  --help | --hel | -h )
   346         -    echo "$ac_cs_usage"; exit 0 ;;
   347         -  --debug | --d* | -d )
   348         -    debug=: ;;
   349         -  --file | --fil | --fi | --f )
   350         -    $ac_shift
   351         -    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
   352         -    ac_need_defaults=false;;
   353         -  --header | --heade | --head | --hea )
   354         -    $ac_shift
   355         -    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
   356         -    ac_need_defaults=false;;
   357         -  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
   358         -  | -silent | --silent | --silen | --sile | --sil | --si | --s)
   359         -    ac_cs_silent=: ;;
   360         -
   361         -  # This is an error.
   362         -  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
   363         -Try \`$0 --help' for more information." >&5
   364         -echo "$as_me: error: unrecognized option: $1
   365         -Try \`$0 --help' for more information." >&2;}
   366         -   { (exit 1); exit 1; }; } ;;
   367         -
   368         -  *) ac_config_targets="$ac_config_targets $1" ;;
   369         -
   370         -  esac
   371         -  shift
   372         -done
   373         -
   374         -ac_configure_extra_args=
   375         -
   376         -if $ac_cs_silent; then
   377         -  exec 6>/dev/null
   378         -  ac_configure_extra_args="$ac_configure_extra_args --silent"
   379         -fi
   380         -
   381         -if $ac_cs_recheck; then
   382         -  echo "running /bin/sh ./configure " '--with-libstatgrab=contrib/libstatgrab/' $ac_configure_extra_args " --no-create --no-recursion" >&6
   383         -  exec /bin/sh ./configure '--with-libstatgrab=contrib/libstatgrab/' $ac_configure_extra_args --no-create --no-recursion
   384         -fi
   385         -
   386         -for ac_config_target in $ac_config_targets
   387         -do
   388         -  case "$ac_config_target" in
   389         -  # Handling of arguments.
   390         -  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   391         -  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
   392         -  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
   393         -echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
   394         -   { (exit 1); exit 1; }; };;
   395         -  esac
   396         -done
   397         -
   398         -# If the user did not use the arguments to specify the items to instantiate,
   399         -# then the envvar interface is used.  Set only those that are not.
   400         -# We use the long form for the default assignment because of an extremely
   401         -# bizarre bug on SunOS 4.1.3.
   402         -if $ac_need_defaults; then
   403         -  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
   404         -  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
   405         -fi
   406         -
   407         -# Have a temporary directory for convenience.  Make it in the build tree
   408         -# simply because there is no reason to put it here, and in addition,
   409         -# creating and moving files from /tmp can sometimes cause problems.
   410         -# Create a temporary directory, and hook for its removal unless debugging.
   411         -$debug ||
   412         -{
   413         -  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
   414         -  trap '{ (exit 1); exit 1; }' 1 2 13 15
   415         -}
   416         -
   417         -# Create a (secure) tmp directory for tmp files.
   418         -
   419         -{
   420         -  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
   421         -  test -n "$tmp" && test -d "$tmp"
   422         -}  ||
   423         -{
   424         -  tmp=./confstat$$-$RANDOM
   425         -  (umask 077 && mkdir $tmp)
   426         -} ||
   427         -{
   428         -   echo "$me: cannot create a temporary directory in ." >&2
   429         -   { (exit 1); exit 1; }
   430         -}
   431         -
   432         -
   433         -#
   434         -# CONFIG_FILES section.
   435         -#
   436         -
   437         -# No need to generate the scripts if there are no CONFIG_FILES.
   438         -# This happens for instance when ./config.status config.h
   439         -if test -n "$CONFIG_FILES"; then
   440         -  # Protect against being on the right side of a sed subst in config.status.
   441         -  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
   442         -   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
   443         -s,@SHELL@,/bin/sh,;t t
   444         -s,@PATH_SEPARATOR@,:,;t t
   445         -s,@PACKAGE_NAME@,,;t t
   446         -s,@PACKAGE_TARNAME@,,;t t
   447         -s,@PACKAGE_VERSION@,,;t t
   448         -s,@PACKAGE_STRING@,,;t t
   449         -s,@PACKAGE_BUGREPORT@,,;t t
   450         -s,@exec_prefix@,${prefix},;t t
   451         -s,@prefix@,/usr/local,;t t
   452         -s,@program_transform_name@,s,x,x,,;t t
   453         -s,@bindir@,${exec_prefix}/bin,;t t
   454         -s,@sbindir@,${exec_prefix}/sbin,;t t
   455         -s,@libexecdir@,${exec_prefix}/libexec,;t t
   456         -s,@datadir@,${prefix}/share,;t t
   457         -s,@sysconfdir@,${prefix}/etc,;t t
   458         -s,@sharedstatedir@,${prefix}/com,;t t
   459         -s,@localstatedir@,${prefix}/var,;t t
   460         -s,@libdir@,${exec_prefix}/lib,;t t
   461         -s,@includedir@,${prefix}/include,;t t
   462         -s,@oldincludedir@,/usr/include,;t t
   463         -s,@infodir@,${prefix}/info,;t t
   464         -s,@mandir@,${prefix}/man,;t t
   465         -s,@build_alias@,,;t t
   466         -s,@host_alias@,,;t t
   467         -s,@target_alias@,,;t t
   468         -s,@DEFS@,-DHAVE_CONFIG_H,;t t
   469         -s,@ECHO_C@,,;t t
   470         -s,@ECHO_N@,-n,;t t
   471         -s,@ECHO_T@,,;t t
   472         -s,@LIBS@, -lstatgrab,;t t
   473         -s,@CC@,gcc,;t t
   474         -s,@CFLAGS@,-g -O2 -Icontrib/libstatgrab//include ,;t t
   475         -s,@LDFLAGS@, -Lcontrib/libstatgrab//lib ,;t t
   476         -s,@CPPFLAGS@, -Icontrib/libstatgrab//include ,;t t
   477         -s,@ac_ct_CC@,gcc,;t t
   478         -s,@EXEEXT@,,;t t
   479         -s,@OBJEXT@,o,;t t
   480         -s,@SET_MAKE@,,;t t
   481         -s,@INSTALL_PROGRAM@,${INSTALL},;t t
   482         -s,@INSTALL_SCRIPT@,${INSTALL},;t t
   483         -s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
   484         -s,@CPP@,gcc -E,;t t
   485         -s,@EGREP@,grep -E,;t t
   486         -s,@LIBOBJS@,,;t t
   487         -s,@LTLIBOBJS@,,;t t
   488         -CEOF
   489         -
   490         -  # Split the substitutions into bite-sized pieces for seds with
   491         -  # small command number limits, like on Digital OSF/1 and HP-UX.
   492         -  ac_max_sed_lines=48
   493         -  ac_sed_frag=1 # Number of current file.
   494         -  ac_beg=1 # First line for current file.
   495         -  ac_end=$ac_max_sed_lines # Line after last line for current file.
   496         -  ac_more_lines=:
   497         -  ac_sed_cmds=
   498         -  while $ac_more_lines; do
   499         -    if test $ac_beg -gt 1; then
   500         -      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
   501         -    else
   502         -      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
   503         -    fi
   504         -    if test ! -s $tmp/subs.frag; then
   505         -      ac_more_lines=false
   506         -    else
   507         -      # The purpose of the label and of the branching condition is to
   508         -      # speed up the sed processing (if there are no `@' at all, there
   509         -      # is no need to browse any of the substitutions).
   510         -      # These are the two extra sed commands mentioned above.
   511         -      (echo ':t
   512         -  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
   513         -      if test -z "$ac_sed_cmds"; then
   514         -	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
   515         -      else
   516         -	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
   517         -      fi
   518         -      ac_sed_frag=`expr $ac_sed_frag + 1`
   519         -      ac_beg=$ac_end
   520         -      ac_end=`expr $ac_end + $ac_max_sed_lines`
   521         -    fi
   522         -  done
   523         -  if test -z "$ac_sed_cmds"; then
   524         -    ac_sed_cmds=cat
   525         -  fi
   526         -fi # test -n "$CONFIG_FILES"
   527         -
   528         -for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
   529         -  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
   530         -  case $ac_file in
   531         -  - | *:- | *:-:* ) # input from stdin
   532         -	cat >$tmp/stdin
   533         -	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
   534         -	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
   535         -  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
   536         -	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
   537         -  * )   ac_file_in=$ac_file.in ;;
   538         -  esac
   539         -
   540         -  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
   541         -  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
   542         -$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
   543         -	 X"$ac_file" : 'X\(//\)[^/]' \| \
   544         -	 X"$ac_file" : 'X\(//\)$' \| \
   545         -	 X"$ac_file" : 'X\(/\)' \| \
   546         -	 .     : '\(.\)' 2>/dev/null ||
   547         -echo X"$ac_file" |
   548         -    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
   549         -  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
   550         -  	  /^X\(\/\/\)$/{ s//\1/; q; }
   551         -  	  /^X\(\/\).*/{ s//\1/; q; }
   552         -  	  s/.*/./; q'`
   553         -  { if $as_mkdir_p; then
   554         -    mkdir -p "$ac_dir"
   555         -  else
   556         -    as_dir="$ac_dir"
   557         -    as_dirs=
   558         -    while test ! -d "$as_dir"; do
   559         -      as_dirs="$as_dir $as_dirs"
   560         -      as_dir=`(dirname "$as_dir") 2>/dev/null ||
   561         -$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
   562         -	 X"$as_dir" : 'X\(//\)[^/]' \| \
   563         -	 X"$as_dir" : 'X\(//\)$' \| \
   564         -	 X"$as_dir" : 'X\(/\)' \| \
   565         -	 .     : '\(.\)' 2>/dev/null ||
   566         -echo X"$as_dir" |
   567         -    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
   568         -  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
   569         -  	  /^X\(\/\/\)$/{ s//\1/; q; }
   570         -  	  /^X\(\/\).*/{ s//\1/; q; }
   571         -  	  s/.*/./; q'`
   572         -    done
   573         -    test ! -n "$as_dirs" || mkdir $as_dirs
   574         -  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
   575         -echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
   576         -   { (exit 1); exit 1; }; }; }
   577         -
   578         -  ac_builddir=.
   579         -
   580         -if test "$ac_dir" != .; then
   581         -  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
   582         -  # A "../" for each directory in $ac_dir_suffix.
   583         -  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
   584         -else
   585         -  ac_dir_suffix= ac_top_builddir=
   586         -fi
   587         -
   588         -case $srcdir in
   589         -  .)  # No --srcdir option.  We are building in place.
   590         -    ac_srcdir=.
   591         -    if test -z "$ac_top_builddir"; then
   592         -       ac_top_srcdir=.
   593         -    else
   594         -       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
   595         -    fi ;;
   596         -  [\\/]* | ?:[\\/]* )  # Absolute path.
   597         -    ac_srcdir=$srcdir$ac_dir_suffix;
   598         -    ac_top_srcdir=$srcdir ;;
   599         -  *) # Relative path.
   600         -    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
   601         -    ac_top_srcdir=$ac_top_builddir$srcdir ;;
   602         -esac
   603         -
   604         -# Do not use `cd foo && pwd` to compute absolute paths, because
   605         -# the directories may not exist.
   606         -case `pwd` in
   607         -.) ac_abs_builddir="$ac_dir";;
   608         -*)
   609         -  case "$ac_dir" in
   610         -  .) ac_abs_builddir=`pwd`;;
   611         -  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
   612         -  *) ac_abs_builddir=`pwd`/"$ac_dir";;
   613         -  esac;;
   614         -esac
   615         -case $ac_abs_builddir in
   616         -.) ac_abs_top_builddir=${ac_top_builddir}.;;
   617         -*)
   618         -  case ${ac_top_builddir}. in
   619         -  .) ac_abs_top_builddir=$ac_abs_builddir;;
   620         -  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
   621         -  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
   622         -  esac;;
   623         -esac
   624         -case $ac_abs_builddir in
   625         -.) ac_abs_srcdir=$ac_srcdir;;
   626         -*)
   627         -  case $ac_srcdir in
   628         -  .) ac_abs_srcdir=$ac_abs_builddir;;
   629         -  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
   630         -  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
   631         -  esac;;
   632         -esac
   633         -case $ac_abs_builddir in
   634         -.) ac_abs_top_srcdir=$ac_top_srcdir;;
   635         -*)
   636         -  case $ac_top_srcdir in
   637         -  .) ac_abs_top_srcdir=$ac_abs_builddir;;
   638         -  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
   639         -  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
   640         -  esac;;
   641         -esac
   642         -
   643         -
   644         -  case $INSTALL in
   645         -  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
   646         -  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
   647         -  esac
   648         -
   649         -  # Let's still pretend it is `configure' which instantiates (i.e., don't
   650         -  # use $as_me), people would be surprised to read:
   651         -  #    /* config.h.  Generated by config.status.  */
   652         -  if test x"$ac_file" = x-; then
   653         -    configure_input=
   654         -  else
   655         -    configure_input="$ac_file.  "
   656         -  fi
   657         -  configure_input=$configure_input"Generated from `echo $ac_file_in |
   658         -				     sed 's,.*/,,'` by configure."
   659         -
   660         -  # First look for the input files in the build tree, otherwise in the
   661         -  # src tree.
   662         -  ac_file_inputs=`IFS=:
   663         -    for f in $ac_file_in; do
   664         -      case $f in
   665         -      -) echo $tmp/stdin ;;
   666         -      [\\/$]*)
   667         -	 # Absolute (can't be DOS-style, as IFS=:)
   668         -	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
   669         -echo "$as_me: error: cannot find input file: $f" >&2;}
   670         -   { (exit 1); exit 1; }; }
   671         -	 echo "$f";;
   672         -      *) # Relative
   673         -	 if test -f "$f"; then
   674         -	   # Build tree
   675         -	   echo "$f"
   676         -	 elif test -f "$srcdir/$f"; then
   677         -	   # Source tree
   678         -	   echo "$srcdir/$f"
   679         -	 else
   680         -	   # /dev/null tree
   681         -	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
   682         -echo "$as_me: error: cannot find input file: $f" >&2;}
   683         -   { (exit 1); exit 1; }; }
   684         -	 fi;;
   685         -      esac
   686         -    done` || { (exit 1); exit 1; }
   687         -
   688         -  if test x"$ac_file" != x-; then
   689         -    { echo "$as_me:$LINENO: creating $ac_file" >&5
   690         -echo "$as_me: creating $ac_file" >&6;}
   691         -    rm -f "$ac_file"
   692         -  fi
   693         -  sed "/^[	 ]*VPATH[	 ]*=/{
   694         -s/:*\$(srcdir):*/:/;
   695         -s/:*\${srcdir}:*/:/;
   696         -s/:*@srcdir@:*/:/;
   697         -s/^\([^=]*=[	 ]*\):*/\1/;
   698         -s/:*$//;
   699         -s/^[^=]*=[	 ]*$//;
   700         -}
   701         -
   702         -:t
   703         -/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
   704         -s,@configure_input@,$configure_input,;t t
   705         -s,@srcdir@,$ac_srcdir,;t t
   706         -s,@abs_srcdir@,$ac_abs_srcdir,;t t
   707         -s,@top_srcdir@,$ac_top_srcdir,;t t
   708         -s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
   709         -s,@builddir@,$ac_builddir,;t t
   710         -s,@abs_builddir@,$ac_abs_builddir,;t t
   711         -s,@top_builddir@,$ac_top_builddir,;t t
   712         -s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
   713         -s,@INSTALL@,$ac_INSTALL,;t t
   714         -" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
   715         -  rm -f $tmp/stdin
   716         -  if test x"$ac_file" != x-; then
   717         -    mv $tmp/out $ac_file
   718         -  else
   719         -    cat $tmp/out
   720         -    rm -f $tmp/out
   721         -  fi
   722         -
   723         -done
   724         -
   725         -#
   726         -# CONFIG_HEADER section.
   727         -#
   728         -
   729         -# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
   730         -# NAME is the cpp macro being defined and VALUE is the value it is being given.
   731         -#
   732         -# ac_d sets the value in "#define NAME VALUE" lines.
   733         -ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
   734         -ac_dB='[	 ].*$,\1#\2'
   735         -ac_dC=' '
   736         -ac_dD=',;t'
   737         -# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
   738         -ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
   739         -ac_uB='$,\1#\2define\3'
   740         -ac_uC=' '
   741         -ac_uD=',;t'
   742         -
   743         -for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   744         -  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
   745         -  case $ac_file in
   746         -  - | *:- | *:-:* ) # input from stdin
   747         -	cat >$tmp/stdin
   748         -	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
   749         -	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
   750         -  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
   751         -	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
   752         -  * )   ac_file_in=$ac_file.in ;;
   753         -  esac
   754         -
   755         -  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
   756         -echo "$as_me: creating $ac_file" >&6;}
   757         -
   758         -  # First look for the input files in the build tree, otherwise in the
   759         -  # src tree.
   760         -  ac_file_inputs=`IFS=:
   761         -    for f in $ac_file_in; do
   762         -      case $f in
   763         -      -) echo $tmp/stdin ;;
   764         -      [\\/$]*)
   765         -	 # Absolute (can't be DOS-style, as IFS=:)
   766         -	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
   767         -echo "$as_me: error: cannot find input file: $f" >&2;}
   768         -   { (exit 1); exit 1; }; }
   769         -	 # Do quote $f, to prevent DOS paths from being IFS'd.
   770         -	 echo "$f";;
   771         -      *) # Relative
   772         -	 if test -f "$f"; then
   773         -	   # Build tree
   774         -	   echo "$f"
   775         -	 elif test -f "$srcdir/$f"; then
   776         -	   # Source tree
   777         -	   echo "$srcdir/$f"
   778         -	 else
   779         -	   # /dev/null tree
   780         -	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
   781         -echo "$as_me: error: cannot find input file: $f" >&2;}
   782         -   { (exit 1); exit 1; }; }
   783         -	 fi;;
   784         -      esac
   785         -    done` || { (exit 1); exit 1; }
   786         -  # Remove the trailing spaces.
   787         -  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
   788         -
   789         -  # Handle all the #define templates only if necessary.
   790         -  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
   791         -  # If there are no defines, we may have an empty if/fi
   792         -  :
   793         -  cat >$tmp/defines.sed <<CEOF
   794         -/^[	 ]*#[	 ]*define/!b
   795         -t clr
   796         -: clr
   797         -${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
   798         -${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
   799         -${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
   800         -${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
   801         -${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
   802         -${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
   803         -${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
   804         -${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
   805         -${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
   806         -${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
   807         -${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
   808         -${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
   809         -${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
   810         -${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
   811         -${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
   812         -${ac_dA}HAVE_LIBSTATGRAB_H${ac_dB}HAVE_LIBSTATGRAB_H${ac_dC}1${ac_dD}
   813         -${ac_dA}HAVE_LIBSTATGRAB${ac_dB}HAVE_LIBSTATGRAB${ac_dC}1${ac_dD}
   814         -${ac_dA}HAVE_STATGRAB_DROP_PRIVILEGES${ac_dB}HAVE_STATGRAB_DROP_PRIVILEGES${ac_dC}1${ac_dD}
   815         -CEOF
   816         -  sed -f $tmp/defines.sed $tmp/in >$tmp/out
   817         -  rm -f $tmp/in
   818         -  mv $tmp/out $tmp/in
   819         -
   820         -  fi # grep
   821         -
   822         -  # Handle all the #undef templates
   823         -  cat >$tmp/undefs.sed <<CEOF
   824         -/^[	 ]*#[	 ]*undef/!b
   825         -t clr
   826         -: clr
   827         -${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
   828         -${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
   829         -${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
   830         -${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
   831         -${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
   832         -${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
   833         -${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
   834         -${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
   835         -${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
   836         -${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
   837         -${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
   838         -${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
   839         -${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
   840         -${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
   841         -${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
   842         -${ac_uA}HAVE_LIBSTATGRAB_H${ac_uB}HAVE_LIBSTATGRAB_H${ac_uC}1${ac_uD}
   843         -${ac_uA}HAVE_LIBSTATGRAB${ac_uB}HAVE_LIBSTATGRAB${ac_uC}1${ac_uD}
   844         -${ac_uA}HAVE_STATGRAB_DROP_PRIVILEGES${ac_uB}HAVE_STATGRAB_DROP_PRIVILEGES${ac_uC}1${ac_uD}
   845         -s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
   846         -CEOF
   847         -  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
   848         -  rm -f $tmp/in
   849         -  mv $tmp/out $tmp/in
   850         -
   851         -  # Let's still pretend it is `configure' which instantiates (i.e., don't
   852         -  # use $as_me), people would be surprised to read:
   853         -  #    /* config.h.  Generated by config.status.  */
   854         -  if test x"$ac_file" = x-; then
   855         -    echo "/* Generated by configure.  */" >$tmp/config.h
   856         -  else
   857         -    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
   858         -  fi
   859         -  cat $tmp/in >>$tmp/config.h
   860         -  rm -f $tmp/in
   861         -  if test x"$ac_file" != x-; then
   862         -    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
   863         -      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
   864         -echo "$as_me: $ac_file is unchanged" >&6;}
   865         -    else
   866         -      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
   867         -$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
   868         -	 X"$ac_file" : 'X\(//\)[^/]' \| \
   869         -	 X"$ac_file" : 'X\(//\)$' \| \
   870         -	 X"$ac_file" : 'X\(/\)' \| \
   871         -	 .     : '\(.\)' 2>/dev/null ||
   872         -echo X"$ac_file" |
   873         -    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
   874         -  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
   875         -  	  /^X\(\/\/\)$/{ s//\1/; q; }
   876         -  	  /^X\(\/\).*/{ s//\1/; q; }
   877         -  	  s/.*/./; q'`
   878         -      { if $as_mkdir_p; then
   879         -    mkdir -p "$ac_dir"
   880         -  else
   881         -    as_dir="$ac_dir"
   882         -    as_dirs=
   883         -    while test ! -d "$as_dir"; do
   884         -      as_dirs="$as_dir $as_dirs"
   885         -      as_dir=`(dirname "$as_dir") 2>/dev/null ||
   886         -$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
   887         -	 X"$as_dir" : 'X\(//\)[^/]' \| \
   888         -	 X"$as_dir" : 'X\(//\)$' \| \
   889         -	 X"$as_dir" : 'X\(/\)' \| \
   890         -	 .     : '\(.\)' 2>/dev/null ||
   891         -echo X"$as_dir" |
   892         -    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
   893         -  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
   894         -  	  /^X\(\/\/\)$/{ s//\1/; q; }
   895         -  	  /^X\(\/\).*/{ s//\1/; q; }
   896         -  	  s/.*/./; q'`
   897         -    done
   898         -    test ! -n "$as_dirs" || mkdir $as_dirs
   899         -  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
   900         -echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
   901         -   { (exit 1); exit 1; }; }; }
   902         -
   903         -      rm -f $ac_file
   904         -      mv $tmp/config.h $ac_file
   905         -    fi
   906         -  else
   907         -    cat $tmp/config.h
   908         -    rm -f $tmp/config.h
   909         -  fi
   910         -done
   911         -
   912         -{ (exit 0); exit 0; }

Deleted free version [1b9719d67a].

cannot compute difference between binary files